Method: projects.locations.skills.revisions.list

Lists all revisions belonging to a parent Skill.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*/skills/*}/revisions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent logical container name to query.

Query parameters

Parameters
pageSize

integer

Optional. Page limit size.

pageToken

string

Optional. Page offset token.

Request body

The request body must be empty.

Response body

Response listing Revisions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "skillRevisions": [
    {
      object (SkillRevision)
    }
  ],
  "nextPageToken": string
}
Fields
skillRevisions[]

object (SkillRevision)

Returned version snapshot list.

nextPageToken

string

Page offset continuation token.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.skillRevisions.list

For more information, see the IAM documentation.